FROM registry.fedoraproject.org/fedora:latest

RUN dnf -y --setopt install_weak_deps=False install \
    ShellCheck shfmt nodejs-npm && \
    $(: There is a package for this in the Fedora repos, but that is outdated) \
    npm i -g bash-language-server && \
    rm -rf /var/cache/dnf

ENTRYPOINT [ "/usr/local/bin/bash-language-server" ]
